searchData={"items":[{"type":"extras","title":"Generic OSD32MP1 Support","doc":"# Generic OSD32MP1 Support\n\n[![CircleCI](https://circleci.com/gh/nerves-project/nerves_system_osd32mp1.svg?style=svg)](https://circleci.com/gh/nerves-project/nerves_system_osd32mp1)\n[![Hex version](https://img.shields.io/hexpm/v/nerves_system_osd32mp1.svg \"Hex version\")](https://hex.pm/packages/nerves_system_osd32mp1)\n\nThis is the base Nerves System configuration for the\n[OSD32MP1-BRK](https://octavosystems.com/octavo_products/osd32mp1-brk/)\n\n![OSD32MP1-BRK](assets/images/osd32mp1-brk.png)\n\n| Feature              | Description                     |\n| -------------------- | ------------------------------- |\n| CPU                  | up to 800 mHz ARM dual Cortex-A7 |\n| Memory               | up to 1 GB DRAM                 |\n| Storage              | MicroSD card                    |\n| Linux Kernel         | 5.4                             |\n| IEx terminal         | UART `ttySTM0`                  |\n| GPIO, I2C, SPI       | Yes - [Elixir Circuits](https://github.com/elixir-circuits) |\n| ADC                  | Yes                             |\n| PWM                  | Yes, but no Elixir support      |\n| UART                 | ttySTM0 + more via device tree overlay |\n| Coprocessor          | embedded M4 STM32               |\n| Camera               | None                            |\n| Ethernet             | No                              |\n| WiFi                 | Requires USB WiFi dongle        |\n| Bluetooth            | No                              |\n| Audio                | No                              |\n\n# WARNING\n\nThis system is still considered in alpha state, expect backwards incompatible changes\nto be made\n\n# Using\n\nThe most common way of using this Nerves System is create a project with `mix\nnerves.new` and to export `MIX_TARGET=osd32mp1`. See the [Getting started\nguide](https://hexdocs.pm/nerves/getting-started.html#creating-a-new-nerves-app)\nfor more information.\n\nIf you need custom modifications to this system for your device, clone this\nrepository and update as described in [Making custom\nsystems](https://hexdocs.pm/nerves/customizing-systems.html).","ref":"readme.html"},{"type":"extras","title":"Boot Jumpers - Generic OSD32MP1 Support","doc":"The boot jumpers on the OSD32MP1-BRK board should be set like this to boot from\nMicro SDCard. Orient the board so that the USB connector is to the right of the\nswitch.\n\n|label| | |\n|-----|-|-|\n|0    | |X|\n|1    |X| |\n|2    | |X|\n|WP   |X| |\n\n# Supported USB WiFi Devices\n\nThe base image includes drivers and firmware for Ralink RT53xx (rt2800usb\ndriver) and RealTek RTL8712U (r8712u driver) devices.\n\nWe are still working out which subset of all possible WiFi dongles to support in\nour images. At some point, we may have the option to support all dongles and\nselectively install modules at packaging time, but until then, these drivers and\ntheir associated firmware blobs add significantly to Nerves release images.\n\nIf you are unsure what driver your WiFi dongle requires, run Debian and\nconfigure WiFi for your device. At a shell prompt, run lsmod to see which\ndrivers are loaded. Running dmesg may also give a clue. When using dmesg,\nreinsert the USB dongle to generate new log messages if you don't see them.","ref":"readme.html#boot-jumpers"},{"type":"extras","title":"Provisioning devices - Generic OSD32MP1 Support","doc":"This system supports storing provisioning information in a small key-value store\noutside of any filesystem. Provisioning is an optional step and reasonable\ndefaults are provided if this is missing.\n\nProvisioning information can be queried using the Nerves.Runtime KV store's\n[`Nerves.Runtime.KV.get/1`](https://hexdocs.pm/nerves_runtime/Nerves.Runtime.KV.html#get/1)\nfunction.\n\nKeys used by this system are:\n\nKey                    | Example Value     | Description\n:--------------------- | :---------------- | :----------\n`nerves_serial_number` | `\"12345678\"`      | By default, this string is used to create unique hostnames and Erlang node names.\n\nThe normal procedure would be to set these keys once in manufacturing or before\ndeployment and then leave them alone.\n\nFor example, to provision a serial number on a running device, run the following\nand reboot:\n\n```elixir\niex> cmd(\"fw_setenv nerves_serial_number 12345678\")\n```\n\nThis system supports setting the serial number offline. To do this, set the\n`NERVES_SERIAL_NUMBER` environment variable when burning the firmware. If you're\nprogramming MicroSD cards using `fwup`, the commandline is:\n\n```sh\nsudo NERVES_SERIAL_NUMBER=12345678 fwup path_to_firmware.fw\n```\n\nSerial numbers are stored on the MicroSD card so if the MicroSD card is\nreplaced, the serial number will need to be reprogrammed. The numbers are stored\nin a U-boot environment block. This is a special region that is separate from\nthe application partition so reformatting the application partition will not\nlose the serial number or any other data stored in this block.\n\nAdditional key value pairs can be provisioned by overriding the default\nprovisioning.conf file location by setting the environment variable\n`NERVES_PROVISIONING=/path/to/provisioning.conf`. The default provisioning.conf\nwill set the `nerves_serial_number`, if you override the location to this file,\nyou will be responsible for setting this yourself.","ref":"readme.html#provisioning-devices"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nThis project does NOT follow semantic versioning. The version increases as\nfollows:\n\n1. Major version updates are breaking updates to the build infrastructure.\n   These should be very rare.\n2. Minor version updates are made for every major Buildroot release. This\n   may also include Erlang/OTP and Linux kernel updates. These are made four\n   times a year shortly after the Buildroot releases.\n3. Patch version updates are made for Buildroot minor releases, Erlang/OTP\n   releases, and Linux kernel updates. They're also made to fix bugs and add\n   features to the build infrastructure.","ref":"changelog.html"},{"type":"extras","title":"v0.18.0 - Changelog","doc":"This is a major Buildroot update.\n\nPlease see the [nerves_system_br v1.27.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.26.0)\nfor upgrade instructions if you've forked this system.\n\n* Updated dependencies\n  * [nerves_system_br v1.27.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.27.0)\n  * [Buildroot 2024.02](https://lore.kernel.org/buildroot/87msrczp4z.fsf@48ers.dk/)\n  * [Erlang/OTP 26.2.3](https://erlang.org/download/OTP-26.2.3.README)","ref":"changelog.html#v0-18-0"},{"type":"extras","title":"v0.17.0 - Changelog","doc":"This is a major Buildroot update.\n\nPlease see the [nerves_system_br v1.26.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.26.0)\nfor upgrade instructions if you've forked this system.\n\n* Updated dependencies\n  * [Erlang/OTP 26.2.2](https://erlang.org/download/OTP-26.2.2.README)\n  * [nerves_system_br v1.26.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.26.1)\n  * [Buildroot 2023.11.1](https://lore.kernel.org/buildroot/87cyu2k2gu.fsf@48ers.dk/T/)","ref":"changelog.html#v0-17-0"},{"type":"extras","title":"v0.16.1 - Changelog","doc":"This is a security/bug fix update.\n\n Package updates\n  * [Erlang/OTP 26.2.1](https://erlang.org/download/OTP-26.2.1.README)\n  * [nerves_heart 2.3.0](https://github.com/nerves-project/nerves_heart/releases/tag/v2.3.0)","ref":"changelog.html#v0-16-1"},{"type":"extras","title":"v0.16.0 - Changelog","doc":"This is a major Buildroot and toolchain update.\n\nPlease see [nerves_system_br v1.25.0 release notes](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.25.0)\nfor upgrade instructions if you've forked this system.\n\n* Updated dependencies\n  * [nerves_system_br v1.25.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.25.2)\n  * [Buildroot 2023.08.4](https://lore.kernel.org/buildroot/87o7f6t7fs.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.1.2](https://erlang.org/download/OTP-26.1.2.README)","ref":"changelog.html#v0-16-0"},{"type":"extras","title":"v0.15.1 - Changelog","doc":"This is a security/bug fix update.\n\n* Package updates\n  * [nerves_system_br v1.24.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.24.1)\n  * [Erlang/OTP 26.1.1](https://erlang.org/download/OTP-26.1.1.README)\n  * [Buildroot 2023.05.3](https://lore.kernel.org/buildroot/87h6ngup34.fsf@48ers.dk/T/)","ref":"changelog.html#v0-15-1"},{"type":"extras","title":"v0.15.0 - Changelog","doc":"This is a Buildroot version update that appears to mostly contain bug and\nsecurity fixes. It should be a low risk upgrade from v0.14.2.\n\n* Updated dependencies\n  * [nerves_system_br v1.24.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.24.0)\n  * [Buildroot 2023.05.2](https://lore.kernel.org/buildroot/87ledrkrpp.fsf@48ers.dk/T/), [2023.05.1](https://lore.kernel.org/buildroot/87351m8qm4.fsf@48ers.dk/T/), [2023.05](https://lore.kernel.org/buildroot/87r0qn2c77.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.1](https://erlang.org/download/OTP-26.1.README)","ref":"changelog.html#v0-15-0"},{"type":"extras","title":"v0.14.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.23.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.3)","ref":"changelog.html#v0-14-2"},{"type":"extras","title":"v0.14.1 - Changelog","doc":"This is a bug and security fix update. It should be a low risk upgrade.\n\n* Fixes\n  * Fix CTRL+R over ssh\n\n* Updated dependencies\n  * [nerves_system_br v1.23.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.2)\n  * [Buildroot 2023.02.2](https://lore.kernel.org/buildroot/87y1je6wva.fsf@48ers.dk/T/)","ref":"changelog.html#v0-14-1"},{"type":"extras","title":"v0.14.0 - Changelog","doc":"This is a major update that brings in Erlang/OTP 26 and Buildroot 2023.02.2.\n\n* New features\n  * CA certificates are included for OTP 26.\n\n* Updated dependencies\n  * [nerves_system_br v1.23.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.23.1)\n  * [Buildroot 2023.02.2](https://lore.kernel.org/buildroot/87wn03ifbl.fsf@48ers.dk/T/)\n  * [Erlang/OTP 26.0.2](https://erlang.org/download/OTP-26.0.2.README)","ref":"changelog.html#v0-14-0"},{"type":"extras","title":"v0.13.2 - Changelog","doc":"This is a bug and security fix update. It should be a low risk upgrade.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.5)\n  * [Buildroot 2022.11.3](https://lore.kernel.org/buildroot/878rfuxbxx.fsf@dell.be.48ers.dk/T/)","ref":"changelog.html#v0-13-2"},{"type":"extras","title":"v0.13.1 - Changelog","doc":"This is a bug fix and Erlang version bump from 25.2 to 25.2.3. It should be a\nlow risk upgrade.\n\n* Fixes\n  * Set Erlang crash dump timer to 5 seconds, so if an Erlang crash dump does\n    happen, it will run for at most 5 seconds. See erlinit.conf.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.3)\n  * [Buildroot 2022.11.1](https://lore.kernel.org/buildroot/87ilh4dvax.fsf@dell.be.48ers.dk/T/#u)","ref":"changelog.html#v0-13-1"},{"type":"extras","title":"v0.13.0 - Changelog","doc":"This is a Buildroot version update that appears to mostly contain bug and\nsecurity fixes. It should be a low risk upgrade.\n\n* Updated dependencies\n  * [nerves_system_br v1.22.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.22.1)\n  * [Buildroot 2022.11](http://lists.busybox.net/pipermail/buildroot/2022-December/656980.html)\n  * GCC 12.2","ref":"changelog.html#v0-13-0"},{"type":"extras","title":"v0.12.2 - Changelog","doc":"* Changes\n  * Two Buildroot patch updates and an Erlang minor version update\n  * Nerves Heart v2.0 is now included. Nerves Heart connects the Erlang runtime\n    to a hardware watchdog. v2.0 has numerous updates to improve information\n    that you can get and also has more safeguards to avoid conditions that could\n    cause a device to hang forever.\n\n* Updated dependencies\n  * [nerves_system_br v1.21.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.6)\n  * [Erlang/OTP 25.2](https://erlang.org/download/OTP-25.2.README)\n  * [Buildroot 2022.08.3](https://lore.kernel.org/buildroot/87r0x7z5cw.fsf@dell.be.48ers.dk/T/#u)\n  * [nerves_heart v2.0.2](https://github.com/nerves-project/nerves_heart/releases/tag/v2.0.2)","ref":"changelog.html#v0-12-2"},{"type":"extras","title":"v0.12.1 - Changelog","doc":"* Changes\n  * Fix regression when building on x86_64 Linux where wrong toolchain was used.\n\n* Updated dependencies\n  * [nerves_system_br v1.21.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.2)\n  * [Erlang/OTP 25.1.2](https://erlang.org/download/OTP-25.1.2.README)","ref":"changelog.html#v0-12-1"},{"type":"extras","title":"v0.12.0 - Changelog","doc":"* Changes\n  * Support aarch64 Linux builds\n  * Add libdtc to support runtime loading of device tree overlays\n\n* Updated dependencies\n  * [nerves_system_br v1.21.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.1)\n    and also see [nerves_system_br v1.21.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.21.0)\n  * [Buildroot 2022.08.1](http://lists.busybox.net/pipermail/buildroot/2022-October/652816.html)\n  * [Erlang/OTP 25.1.1](https://erlang.org/download/OTP-25.1.1.README)","ref":"changelog.html#v0-12-0"},{"type":"extras","title":"v0.11.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.20.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.6)\n  * [Erlang/OTP 25.0.4](https://erlang.org/download/OTP-25.0.4.README)\n  * [Buildroot 2022.05.2](http://lists.busybox.net/pipermail/buildroot/2022-August/650546.html)\n  * Also see [Buildroot 2022.05.1 changes](http://lists.busybox.net/pipermail/buildroot/2022-July/647814.html)","ref":"changelog.html#v0-11-2"},{"type":"extras","title":"v0.11.1 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.20.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.4)\n  * [Erlang/OTP 25.0.3](https://erlang.org/download/OTP-25.0.3.README)","ref":"changelog.html#v0-11-1"},{"type":"extras","title":"v0.11.0 - Changelog","doc":"This release updates to Buildroot 2022.05 and uses GCC 11.3 (from GCC 10.3).\n\n* Updated dependencies\n  * [nerves_system_br v1.20.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.20.3)\n  * [Buildroot 2022.05](http://lists.busybox.net/pipermail/buildroot/2022-June/644349.html)\n  * [Erlang/OTP 25.0.2](https://erlang.org/download/OTP-25.0.2.README)","ref":"changelog.html#v0-11-0"},{"type":"extras","title":"v0.10.0 - Changelog","doc":"This release updates to Buildroot 2022.02.1 and OTP 25.0. While this should be\nan easy update for most projects, many programs have been updated. Please review\nthe changes in the updated dependencies for details.\n\n* Updated dependencies\n  * [nerves_system_br v1.19.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.19.0)\n  * [Buildroot 2022.02.1](http://lists.busybox.net/pipermail/buildroot/2022-April/640712.html). Also see [Buildroot 2022.02](http://lists.busybox.net/pipermail/buildroot/2022-March/638160.html)\n  * [Erlang/OTP 25.0](https://erlang.org/download/OTP-25.0.README)","ref":"changelog.html#v0-10-0"},{"type":"extras","title":"v0.9.4 - Changelog","doc":"This release bumps Erlang to 24.3.2 and should be a low risk upgrade from the\nprevious release.\n\n* Updated dependencies\n  * [nerves_system_br v1.18.6](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.6)","ref":"changelog.html#v0-9-4"},{"type":"extras","title":"v0.9.3 - Changelog","doc":"This is a Buildroot and Erlang bug and security fix release. It should be a low\nrisk upgrade from the previous release.\n\n* Updated dependencies\n  * [nerves_system_br v1.18.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.5)","ref":"changelog.html#v0-9-3"},{"type":"extras","title":"v0.9.2 - Changelog","doc":"This is a Buildroot and Erlang bug fix release. It should be a low risk upgrade\nfrom the previous release.\n\n* Updated dependencies\n  * [nerves_system_br v1.18.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.4)\n\n* Changes\n  * Specify CPU-specific flags when compiling NIFs and ports. This fixes an\n    issue where some optimizations could not be enabled in NIFs even though it\n    should be possible to have them. E.g., ARM NEON support for CPUs that have\n    it.","ref":"changelog.html#v0-9-2"},{"type":"extras","title":"v0.9.1 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.18.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.3)\n\n* Changes\n  * Programs that use OpenMP will run now. The OpenMP shared library\n    (`libgomp.so`) was supplied by the toolchain, but not copied.","ref":"changelog.html#v0-9-1"},{"type":"extras","title":"v0.9.0 - Changelog","doc":"This release updates to Buildroot 2021.11 and OTP 24.2. If you have made a\ncustom system, please review the `nerves_system_br` [release\nnotes](https://github.com/nerves-project/nerves_system_br/blob/v1.18.2/CHANGELOG.md#v1180).\n\n* Updated dependencies\n  * [nerves_system_br v1.18.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.18.2)\n  * [Buildroot 2021.11](http://lists.busybox.net/pipermail/buildroot/2021-December/629911.html)\n  * [Erlang/OTP 24.2](https://erlang.org/download/OTP-24.2.README)\n  * GCC 10.3\n\n* Improvements\n  * Support for the `dl.nerves-project.org` backup site. Due to a GitHub outage\n    in November, there was a 2 day period of failing builds since some packages\n    could not be downloaded. We implemented the backup site to prevent this in\n    the future. This update is in the `nerves_defconfig`.\n  * Use new build ORB on CircleCI. This ORB will shorten build times to fit in\n    CircleCI's new free tier limits. Please update if building your own systems.","ref":"changelog.html#v0-9-0"},{"type":"extras","title":"v0.8.3 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.17.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.4)\n  * [Buildroot 2021.08.2](http://lists.busybox.net/pipermail/buildroot/2021-November/628323.html)\n  * [Erlang/OTP 24.1.7](https://erlang.org/download/OTP-24.1.7.README).","ref":"changelog.html#v0-8-3"},{"type":"extras","title":"v0.8.2 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br v1.17.3](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.3)\n  * [Erlang/OTP 24.1.4](https://erlang.org/download/OTP-24.1.4.README).","ref":"changelog.html#v0-8-2"},{"type":"extras","title":"v0.8.1 - Changelog","doc":"This is a security/bug fix patch release. It should be safe to update for\neveryone.\n\n* Updated dependencies\n  * [nerves_system_br v1.17.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.1)\n  * [Buildroot 2021.08.1](http://lists.busybox.net/pipermail/buildroot/2021-October/625642.html)\n  * [Erlang/OTP 24.1.2](https://erlang.org/download/OTP-24.1.2.README)\n\n* Improvements\n  * Include software versioning and licensing info (see legal-info directory in\n    artifact)","ref":"changelog.html#v0-8-1"},{"type":"extras","title":"v0.8.0 - Changelog","doc":"This release updates to Buildroot 2021.08 and OTP 24.1. If you have made a\ncustom system off this one, please review the `nerves_system_br v1.17.0` release\nnotes.\n\n* Updated dependencies\n  * [nerves_system_br v1.17.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.17.0)\n  * [Buildroot 2021.08](http://lists.busybox.net/pipermail/buildroot/2021-September/622072.html)\n  * [Erlang/OTP 24.1](https://erlang.org/download/OTP-24.1.README)","ref":"changelog.html#v0-8-0"},{"type":"extras","title":"v0.7.2 - Changelog","doc":"This release updates Erlang/OTP from 24.0.3 to 24.0.5 and Buildroot from 2021.05\nto 2021.05.1. Both of these are security/bug fix updates. This is expected to be\na safe upgrade from v1.16.1 for all users.\n\n* Updated dependencies\n  * [nerves_system_br v1.16.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.16.1)\n  * [Erlang/OTP 24.0.5](https://erlang.org/download/OTP-24.0.5.README)\n\n* Improvements\n  * Beta support for using a `runtime.exs` script for runtime configuration.\n  * Added a `provision` task to the `fwup.config` to enable re-provisioning a\n    MicroSD card without changing its contents.\n  * Adds a default `/etc/sysctl.conf` that enables use of ICMP in Erlang. This\n    requires `nerves_runtime v0.11.5` or later to automatically load the sysctl\n    variables. With it using `:gen_udp` to send/receive ICMP will \"just work\".\n    It also makes it easier to add other sysctl variables if needed.","ref":"changelog.html#v0-7-2"},{"type":"extras","title":"v0.7.1 - Changelog","doc":"This release updates Nerves Toolchains to v1.4.3 and OTP 24.0.3. It should be safe for everyone to apply.\n\n* Updated dependencies\n  * [nerves_system_br v1.16.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.16.1)\n  * [Erlang/OTP 24.0.3](https://erlang.org/download/OTP-24.0.3.README)\n  * [nerves toolchains v1.4.3](https://github.com/nerves-project/toolchains/releases/tag/v1.4.3)","ref":"changelog.html#v0-7-1"},{"type":"extras","title":"v0.7.0 - Changelog","doc":"This release updates to Buildroot 2021.05 and OTP 24.0.2. If you have made a\ncustom system off this one, please review the `nerves_system_br v1.16.0` release\nnotes.\n\n* Updated dependencies\n  * [nerves_system_br v1.16.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.16.0)\n  * [Buildroot 2021.05](http://lists.busybox.net/pipermail/buildroot/2021-June/311946.html)\n  * [Erlang/OTP 24.0.2](https://erlang.org/download/OTP-24.0.2.README)\n\n* Improvements\n  * This release now contains debug symbols and includes the Build-ID in the\n    ELF headers. This makes it easier to get stack traces from C programs. As\n    before, the Nerves tooling strips all symbols from firmware images, so this\n    won't make programs bigger.\n  * Enable compile-time `wpa_supplicant` options to support WPA3, mesh\n    networking, WPS and autoscan.","ref":"changelog.html#v0-7-0"},{"type":"extras","title":"v0.6.1 - Changelog","doc":"This is a security/bug fix release that updates to Buildroot 2021.02.1 and OTP\n23.3.1. It should be safe for everyone to apply.\n\n* Updated dependencies\n  * [nerves_system_br v1.15.1](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.15.1)\n  * [Buildroot 2021.02](http://lists.busybox.net/pipermail/buildroot/2021-April/307970.html)\n  * [Erlang/OTP 23.3.1](https://erlang.org/download/OTP-23.3.1.README)","ref":"changelog.html#v0-6-1"},{"type":"extras","title":"v0.6.0 - Changelog","doc":"This release updates to Buildroot 2021.02 and OTP 23.2.7. If you have made a\ncustom system off this one, please review the `nerves_system_br v1.15.0` release\nnotes.\n\nThe Nerves toolchain has also been updated to v1.4.2. This brings in Linux 4.14\nheaders to enable use of cdev and eBPF. This won't affect most users.\n\n* Updated dependencies\n  * [nerves_system_br v1.15.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.15.0)\n  * [Buildroot 2021.02](http://lists.busybox.net/pipermail/buildroot/2021-March/305168.html)\n  * [Erlang/OTP 23.2.7](https://erlang.org/download/OTP-23.2.7.README)\n  * [nerves toolchains v1.4.2](https://github.com/nerves-project/toolchains/releases/tag/v1.4.2)","ref":"changelog.html#v0-6-0"},{"type":"extras","title":"v0.5.0 - Changelog","doc":"This release updates to Buildroot 2020.11.2, GCC 10.2 and OTP 23.2.4.\n\nWhen migrating custom systems based, please be aware of the following important\nchanges:\n\n* There's a new `getrandom` syscall that is made early in BEAM startup. This has\n  the potential to block the BEAM before Nerves can start `rngd` to provide\n  entropy. We have not seen this issue here, but have updated `erlinit.config`\n  for the time being as a precaution.\n* The GCC 10.2.0 toolchain has a different name that calls out \"nerves\" as the\n  vendor and the naming is now more consistent with other toolchain providers.\n* Experimental support for tooling that requires more information about the\n  target has been added. The initial support focuses on zigler.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.14.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.14.4)\n  * [Buildroot 2020.11.2](http://lists.busybox.net/pipermail/buildroot/2021-January/302574.html)\n  * [Erlang/OTP 23.2.4](https://erlang.org/download/OTP-23.2.4.README)\n  * [Nerves toolchains 1.4.1](https://github.com/nerves-project/toolchains/releases/tag/v1.4.1)","ref":"changelog.html#v0-5-0"},{"type":"extras","title":"v0.4.3 - Changelog","doc":"This is a bug fix release and contains no major changes.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.13.7](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.7)\n  * [Erlang/OTP 23.1.5](https://erlang.org/download/OTP-23.1.5.README)","ref":"changelog.html#v0-4-3"},{"type":"extras","title":"v0.4.2 - Changelog","doc":"This release includes a patch release update to\n[Buildroot 2020.08.2](http://lists.busybox.net/pipermail/buildroot/2020-November/296830.html).\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.13.5](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.5)\n  * [erlinit 1.9.0](https://github.com/nerves-project/erlinit/releases/tag/v1.9.0)","ref":"changelog.html#v0-4-2"},{"type":"extras","title":"v0.4.1 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_br: bump to v1.13.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.4)\n  * [Erlang/OTP 23.1.4](https://erlang.org/download/OTP-23.1.4.README)\n  * [boardid 1.10.0](https://github.com/nerves-project/boardid/releases/tag/v1.10.0)\n\n* Improvements\n  * Enabled reproducible builds in Buildroot to remove some timestamp and build\n    path differences in firmware images. This helps delta firmware updates.","ref":"changelog.html#v0-4-1"},{"type":"extras","title":"v0.4.0 - Changelog","doc":"This release updates to [Buildroot\n2020.08](http://lists.busybox.net/pipermail/buildroot/2020-September/290797.html) and OTP 23.1.1.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.13.2](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.13.2)\n  * [Erlang/OTP 23.1.1](https://erlang.org/download/OTP-23.1.1.README)\n  * [erlinit 1.8.0](https://github.com/nerves-project/erlinit/releases/tag/v1.8.0)\n  * [nerves 1.7.0](https://github.com/nerves-project/nerves/releases/tag/v1.7.0)\n\n* New features\n  * Added support for updating the root filesystem using firmware patches.\n    See the [firmware patch docs](https://hexdocs.pm/nerves/experimental-features.html#content) for more information.","ref":"changelog.html#v0-4-0"},{"type":"extras","title":"v0.3.2 - Changelog","doc":"This release updates to [Buildroot\n2020.05.1](http://lists.busybox.net/pipermail/buildroot/2020-July/287824.html)\nand OTP 23.0.3 which are both bug fix releases.\n\n* Updated dependencies\n  * [nerves_system_br: bump to v1.12.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.12.4)\n  * [Erlang/OTP 23.0.3](https://erlang.org/download/OTP-23.0.3.README)\n  * [nerves_heart v0.3.0](https://github.com/nerves-project/nerves_heart/releases/tag/v0.3.0)\n\n* New features\n  * The `/data` directory now exists for storing application-specific data. It\n    is currently a symlink to `/root`. Using `/data` will eventually be\n    encouraged over `/root` even though currently there is no advantage. This\n    change makes it possible to start migrating paths in applications and\n    libraries.\n\n* Fixes\n  * Fixed old references to the `-Os` compiler flag. All C/C++ code will default\n    to using `-O2` now.","ref":"changelog.html#v0-3-2"},{"type":"extras","title":"v0.3.1 - Changelog","doc":"* Fixes\n  * Remove `nerves_system_linter` from hex package. This fixes mix dependency\n    errors in projects that reference systems with different\n    `nerves_system_linter` dependency specs.","ref":"changelog.html#v0-3-1"},{"type":"extras","title":"v0.3.0 - Changelog","doc":"This release updates the system to use Buildroot 2020.05 and Erlang/OTP 23.\nPlease see the respective release notes for updates and deprecations in both\nprojects for changes that may affect your application.\n\n* New features\n  * Enable WiFi mesh support in the 802.11 stack\n\n* Updated dependencies\n  * [nerves_system_br v1.12.0](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.12.0)\n  * [Erlang/OTP 23.0.2](https://erlang.org/download/OTP-23.0.2.README)","ref":"changelog.html#v0-3-0"},{"type":"extras","title":"v0.2.0 - Changelog","doc":"* Updated dependencies\n  * [nerves_system_linter v0.4.0](https://github.com/nerves-project/nerves_system_linter/releases/tag/v0.4.0)","ref":"changelog.html#v0-2-0"},{"type":"extras","title":"v0.1.0 - Changelog","doc":"* Initial release\n  * [nerves_system_br v1.11.4](https://github.com/nerves-project/nerves_system_br/releases/tag/v1.11.4)\n  * Erlang 22.3.4.1\n  * fwup 1.7.0","ref":"changelog.html#v0-1-0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}